<ion-header>
  <ion-toolbar color="primary">
    <ion-title>maps</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div #map id="map"></div>
  <form #f="ngForm" (ngSubmit)="showCurrentLoc(f)">
    <ion-input type="text" ngModel name="location" placeholder="location"></ion-input>
    <ion-button color="danger" expand="full" type="submit">Check In</ion-button>  
    <ion-button color="primary" expand="full" (click)="CurrentLoc()">My Location</ion-button>  

  </form>

</ion-content>
